Bug 89807 - Footnote dialog pops up unfocused -> Enter key does not instert footnote or close the dialog
Summary: Footnote dialog pops up unfocused -> Enter key does not instert footnote or c...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2015-03-03 16:37 UTC by Daniel T.
Modified: 2019-12-03 14:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Footnote dialog unfocused (116.66 KB, image/png)
2015-03-03 16:37 UTC, Daniel T.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel T. 2015-03-03 16:37:36 UTC
Created attachment 113855 [details]
Footnote dialog unfocused

To reproduce.

1. Place cursor somewhere in the text. 
2. Click key combination to insert footnote (in my case Ctrl+Alt+F).
-> Footnote dialog is opened (in focus)
3. Clicking enter closes the dialog and inserts footnote.
4. Repeat steps 1 and 2 again.
-> This time the footnote dialog is NOT in focus, so clicking enter does not work. As a result, one needs to use the mouse to click on the OK button or select the dialog (put it in focus) and then click Enter key. This is cumbersome.

P.S. I had the same problem with the Find text dialog that was popping up without having focus and one could not type right in.
Comment 1 Buovjaga 2015-03-06 11:09:08 UTC
Could not reproduce. I guess I'll have to try in KDE next week.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Ubuntu 14.10 64-bit
Version: 4.4.1.2
Build ID: 40m0(Build:2)
Locale: en_US
Comment 2 Daniel T. 2015-03-06 11:13:41 UTC
I confirm; this happens in Kubuntu 14.04.2 LTS trusty. 
Reproduction rate: not 100% but way over 50%.
Comment 3 Buovjaga 2015-03-09 09:16:20 UTC
Created keyboard shortcut.
Created 10 footnotes using the kb shortcut without focus problems.

Newer Kubuntu version, though (VM I had for testing).

Kubuntu 14.10 64-bit
LibO Version: 4.4.1.2
Build ID: 40m0(Build:2)
Locale: en_US
Comment 4 Buovjaga 2015-06-25 16:14:43 UTC
Carlos: care to try this?
Comment 5 Carlos Rodriguez 2015-06-25 17:54:26 UTC
(In reply to Beluga from comment #4)
> Carlos: care to try this?

Sure. Tests done on Debian 8 (jessie). Created the shortcut too.

On shortcut press it opens footnote window and get focus on it but next:
a) If I press CANCEL and try again the shortcut, I get no focus 100% of the time.

Versión: 4.4.3.2 (about 50% of the tests get no focus)
Id. de compilación: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Configuración regional: es_ES

Version: 4.4.5.0.0+ (about 50% of the tests get no focus)
Build ID: 7847365292bf0c5e35cf94835b46e414dbe4692e
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2015-06-25_10:22:13
Locale: es_ES.UTF-8

Works fine (getting 100% focus on footnote window) on the following versions:

Versión: 4.3.7.2
Id. de compilación: 8a35821d8636a03b8bf4e15b48f59794652c68ba

Version: 5.0.0.1
Build ID: 9a0b23dd0ab9652e0965484934309f2d49a7758e
Locale: es-ES (es_ES.UTF-8)

Version: 5.1.0.0.alpha1+
Build ID: a7a95af74badcb745bb1c86c7f9a21444ca12c77
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-06-25_09:37:54
Locale: es-ES (es_ES.UTF-8)
Comment 6 Carlos Rodriguez 2015-06-25 17:57:38 UTC
> On shortcut press it opens footnote window and get focus on it but next:
> a) If I press CANCEL and try again the shortcut, I get no focus 100% of the
> time.

Well sorry, not 100%, just 50% or so, as I mention on each version test.
Comment 7 Buovjaga 2015-06-25 18:08:53 UTC
Thanks. I'll set to NEW, then.
Comment 8 QA Administrators 2016-09-20 10:11:51 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:33:30 UTC
Dear Daniel T.,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug